<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/modules/series-label.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<meta http-equiv="refresh" content="3;url=graph1.html">
<div id="container"></div>
<script>

</script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script>
		$.ajax({
  url: 'http://localhost:3006/test',
  
  complete: function(data) {   
  	Highcharts.chart('container', {

    title: {
        text: 'update log system'
    },

 
    yAxis: {
        title: {
            text: 'Number '
        }
    },
    legend: {
        layout: 'vertical',
        align: 'right',
        verticalAlign: 'middle'
    },

    plotOptions: {
        series: {
            label: {
                connectorAllowed: false
            },
            pointStart: 30
        }
    },

    series: [{
        name: 'min',
        data: data.responseJSON.min
    }, {
        name: 'avg',
        data: data.responseJSON.avg
    },{
        name: 'max',
        data: data.responseJSON.max
    }],

    responsive: {
        rules: [{
            condition: {
                maxWidth: 500
            },
            chartOptions: {
                legend: {
                    layout: 'horizontal',
                    align: 'center',
                    verticalAlign: 'bottom'
                }
            }
        }]
    }

});
  }
});
	</script>